Page MenuHomePhabricator

Extra-Editbuttons Gadget doesn't work in fawikivoyage
Closed, ResolvedPublic

Description

I have migrated Extra-Editbuttons Gadget from Persian Wikipedia for Persian Wikivoyage to be compatible with ResourceLoader, but now it's broken!

It seems like the following code doesn't run after page loads:

$(function(){
	mw.loader.using( [ 'ext.wikiEditor.toolbar' ], function () {
		extraeditbuttons.init();
	});
});

when you run above code manually using js console, it works.

Event Timeline

Mjbmr created this task.Aug 13 2015, 1:21 PM
Mjbmr raised the priority of this task from to Unbreak Now!.
Mjbmr updated the task description. (Show Details)
Mjbmr added a subscriber: Mjbmr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2015, 1:21 PM
Mjbmr renamed this task from Extra-Editbuttons Gadget doesn't work to Extra-Editbuttons Gadget doesn't work in fawikivoyage.Aug 13 2015, 1:22 PM
Mjbmr set Security to None.
Aklapper lowered the priority of this task from Unbreak Now! to High.Aug 14 2015, 1:36 PM
Aklapper removed a project: Gadgets.

Any web browser console error output?

Mjbmr added a comment.Aug 14 2015, 1:48 PM

No error, it seems like I have to call:

		extraeditbuttons.init();

like:

		$(document).ready( extraeditbuttons.init );

because the other gadget ListingToolbar, works fine.
but I don't have access to test it.

Mjbmr closed this task as Resolved.Aug 17 2015, 10:12 AM
Mjbmr claimed this task.
GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:03 AM